package com.engine.organization.entity.scheme.bo;

import com.engine.organization.entity.scheme.dto.SchemeListDTO;
import com.engine.organization.entity.scheme.po.SchemePO;
import org.apache.commons.collections4.CollectionUtils;

import java.util.Collection;
import java.util.Collections;
import java.util.List;
import java.util.stream.Collectors;

public class SchemeBO {

    public static List<SchemeListDTO> convert2ListDTO(Collection<SchemePO> schemes) {
        if (CollectionUtils.isEmpty(schemes)) {
            return Collections.emptyList();
        }
        return schemes.stream().map(schemePO -> {
                    return SchemeListDTO.builder()
                            .id(schemePO.getId())
                            .schemeNo(schemePO.getSchemeNo())
                            .schemeName(schemePO.getSchemeName())
                            .schemeDescription(schemePO.getSchemeDescription())
                            .forbiddenTag(schemePO.getForbiddenTag())
                            .build();
                }
        ).collect(Collectors.toList());
    }
}
