package com.engine.organization.entity.scheme.dto;

import com.cloudstore.eccom.pc.table.WeaTableType;
import com.engine.organization.annotation.OrganizationTable;
import com.engine.organization.annotation.OrganizationTableColumn;
import com.engine.organization.annotation.OrganizationTableOperate;
import com.engine.organization.annotation.TableTitle;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;


@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@OrganizationTable(pageId = "1594a04a-cced-11ec-a15f-00ffcbed7508", tableType = WeaTableType.CHECKBOX, operates = {@OrganizationTableOperate(text = "编辑", index = "0"), @OrganizationTableOperate(text = "删除", index = "1")})
public class SchemeListDTO {

    @JsonSerialize(using = ToStringSerializer.class)
    @OrganizationTableColumn(column = "id", display = false)
    private Long id;

    @OrganizationTableColumn(text = "编号", width = "25%", column = "schemeNo")
    @TableTitle(title = "编号",dataIndex = "schemeNo",key = "schemeNo")
    private String schemeNo;

    @OrganizationTableColumn(text = "方案名称", width = "25%", column = "schemeName")
    @TableTitle(title = "方案名称",dataIndex = "schemeName",key = "schemeName")
    private String schemeName;

    //薪资档案引用
    @OrganizationTableColumn(text = "方案说明", width = "25%", column = "schemeDescription")
    @TableTitle(title = "方案说明",dataIndex = "schemeDescription",key = "schemeDescription")
    private String schemeDescription;

    //默认使用
    @OrganizationTableColumn(text = "禁用标记", width = "25%", column = "forbiddenTag")
    @TableTitle(title = "禁用标记",dataIndex = "forbiddenTag",key = "forbiddenTag")
    private Integer forbiddenTag;

}
