package com.engine.organization.web;

import com.engine.common.util.ParamUtil;
import com.engine.common.util.ServiceUtil;
import com.engine.organization.entity.scheme.dto.SchemeListDTO;
import com.engine.organization.util.response.ReturnResult;
import com.engine.organization.wrapper.SchemeWrapper;
import io.swagger.v3.oas.annotations.parameters.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;
import weaver.hrm.HrmUserVarify;
import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.ws.rs.*;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;
import java.util.Map;

public class SchemeController {

    public SchemeWrapper getSchemeWrapper(User user) {
        return ServiceUtil.getService(SchemeWrapper.class, user);
    }


    /**
     * 获取list列表
     *
     * @param request
     * @param response
     * @param searchCondition
     * @return
     */
    @GET
    @Path("/getTable")
    @Produces(MediaType.APPLICATION_JSON)
    public ReturnResult getTable(@Context HttpServletRequest request, @Context HttpServletResponse response,
                                 @QueryParam("searchCondition") String searchCondition
    ) {
        try {
            User user = HrmUserVarify.getUser(request, response);
            Map<String, Object> map = ParamUtil.request2Map(request);
            return ReturnResult.successed(getSchemeWrapper(user).listPage(map));
        } catch (Exception e) {
            return ReturnResult.exceptionHandle(e.getMessage());
        }
    }

    /**
     * 添加职等职级信息
     *
     * @param request
     * @param response
     * @return
     */
    @POST
    @Path("/save")
    @Produces(MediaType.APPLICATION_JSON)
    public ReturnResult saveFrom(@Context HttpServletRequest request, @Context HttpServletResponse response) {
//        try {
            User user = HrmUserVarify.getUser(request, response);
            Map<String, Object> save = getSchemeWrapper(user).save(ParamUtil.request2Map(request));
            return ReturnResult.successed(save);
//        } catch (Exception e) {
//            return ReturnResult.exceptionHandle(e.getMessage());
//        }
    }

}
